%global oname mononoki
Name:		mononoki-ttf-fonts
Version:	1.3
Release:	0%{?dist}
Summary:	A font for programming and code review

License:	OFL-1.1
URL:		https://github.com/madmalik/mononoki
Source0:	https://github.com/madmalik/mononoki/releases/download/%{version}/%{oname}.zip
Source1:	56-mononoki.conf

BuildArch:	noarch
BuildRequires:	unzip
#Requires:	

%description
Mononoki is a typeface created to enhance code formatting.  It works well on
both high and low resolution displays. Every character is clearly
distinguishable from similar looking characters.

%prep
unzip -q -j %{SOURCE0} -d %{_builddir}/%{name}-%{version} *.ttf

%install
%global fontsdir %{_datadir}/fonts/%{oname}
install -m 755 -d %{buildroot}%{fontsdir}
install -m 644 -t %{buildroot}%{fontsdir} %{_builddir}/%{name}-%{version}/*.ttf
install -m 755 -d %{buildroot}%{_datadir}/fontconfig/conf.avail
install -m 644 -t %{buildroot}%{_datadir}/fontconfig/conf.avail %{SOURCE1}

%clean
rm -rf %{_builddir}/%{name}-%{version}

%files
%{fontsdir}/*.ttf
%{_datadir}/fontconfig/conf.avail/56-mononoki.conf

%post
fc-cache -f

%changelog
* Fri Oct 29 2021 skidnik
- Bump version. Remove hardcoded version and name in spec.
* Thu Oct 11 2018 skidnik
- Initial build

